## linux-linaro-mx51 3.0.0-1007.9

=== debian/control ===
Source: linux-linaro-mx51
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.8.4.0
Build-Depends: debhelper (>= 5), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), makedumpfile [amd64 i386], device-tree-compiler [powerpc], libelf-dev, binutils-dev, rsync, libdw-dev
#Build-Depends-Indep: xmlto, docbook-utils, ghostscript, transfig, bzip2, sharutils, asciidoc
Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
Vcs-Git: git://git.linaro.org/ubuntu/linux-linaro.git

Package: linux-headers-3.0.0-1007
Architecture: armel
Section: devel
Priority: optional
Depends: ${misc:Depends}
#Provides: linux-linaro-mx51-headers, linux-linaro-mx51-headers-2.6
Description: Header files related to Linux kernel version 3.0.0
 This package provides kernel header files for version 3.0.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-linaro-mx51-headers-3.0.0-1007/debian.README.gz for details

Package: linux-linaro-tools-3.0.0-1007
Architecture: armel
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
Description: Linux kernel tools for version 3.0.0-1007
 This package provides the architecture dependant parts for kernel
 version locked tools for version 3.0.0-1007 on
 DESC.

Package: linux-image-3.0.0-1007-linaro-mx51
Architecture: armel
Section: admin
Priority: optional
Pre-Depends: dpkg (>= 1.10.24), debconf | debconf-2.0
Provides: linux-image, linux-image-2.6, fuse-module, 
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), module-init-tools (>= 3.3-pre11-4ubuntu3), wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: uboot-mkimage, flash-kernel
Suggests: fdutils, linux-linaro-mx51-doc-3.0.0 | linux-linaro-mx51-source-3.0.0, linux-linaro-tools
Description: Linux kernel image for version 3.0.0 on Freescale i.MX51 based platforms
 This package contains the Linux kernel image for version 3.0.0 on
 Freescale i.MX51 based platforms.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Freescale i.MX51 processors.
 .
 Freescale Babbage platform
 .
 You likely do not want to install this package directly. Instead, install
 the linux-linaro-mx51 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-3.0.0-1007-linaro-mx51
Architecture: armel
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-headers-3.0.0-1007, ${shlibs:Depends}
Provides: linux-linaro-mx51-headers, linux-linaro-mx51-headers-2.6
Description: Linux kernel headers for version 3.0.0 on Freescale i.MX51 based platforms
 This package provides kernel header files for version 3.0.0 on
 Freescale i.MX51 based platforms.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-linaro-mx51-headers-3.0.0-1007/debian.README.gz
 for details.

Package: linux-image-3.0.0-1007-linaro-mx51-dbgsym
Architecture: armel
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 3.0.0 on Freescale i.MX51 based platforms
 This package provides a kernel debug image for version 3.0.0 on
 Freescale i.MX51 based platforms.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: kernel-image-3.0.0-1007-linaro-mx51-di
XC-Package-Type: udeb
Provides: kernel-image
Architecture: armel
XB-Kernel-Version: 3.0.0-1007-linaro-mx51
Section: debian-installer
Priority: extra
Description: Linux kernel binary image for the Debian installer
 This package contains the kernel image for the Debian installer
 boot images. It does _not_ provide a usable kernel for your full
 Debian system.

Package: nic-shared-modules-3.0.0-1007-linaro-mx51-di
XC-Package-Type: udeb
Provides: nic-shared-modules
Depends: kernel-image-3.0.0-1007-linaro-mx51-di, crypto-modules-3.0.0-1007-linaro-mx51-di
Architecture: armel
XB-Kernel-Version: 3.0.0-1007-linaro-mx51
Section: debian-installer
Priority: standard
Description: nic shared modules
 This package contains modules which support nic modules

Package: mouse-modules-3.0.0-1007-linaro-mx51-di
XC-Package-Type: udeb
Provides: mouse-modules
Depends: kernel-image-3.0.0-1007-linaro-mx51-di
Architecture: armel
XB-Kernel-Version: 3.0.0-1007-linaro-mx51
Section: debian-installer
Priority: extra
Description: Mouse support
 This package contains mouse drivers for the Linux kernel.

Package: crypto-modules-3.0.0-1007-linaro-mx51-di
XC-Package-Type: udeb
Provides: crypto-modules
Depends: kernel-image-3.0.0-1007-linaro-mx51-di
Architecture: armel
XB-Kernel-Version: 3.0.0-1007-linaro-mx51
Section: debian-installer
Priority: extra
Description: crypto modules
 This package contains crypto modules.

Package: storage-core-modules-3.0.0-1007-linaro-mx51-di
XC-Package-Type: udeb
Provides: storage-core-modules, loop-modules
Depends: kernel-image-3.0.0-1007-linaro-mx51-di
Architecture: armel
XB-Kernel-Version: 3.0.0-1007-linaro-mx51
Section: debian-installer
Priority: standard
Description: Core storage support
 Includes core SCSI, LibATA, USB-Storage. Also includes related block
 devices for CD, Disk and Tape medium (and IDE Floppy).
